%{?nodejs_find_provides_and_requires}
%global packagename mdurl
%global enable_tests 1
Name:		nodejs-mdurl
Version:	1.0.1
Release:	1
Summary:	URL utilities for markdown-it
License:	MIT
URL:		https://github.com/markdown-it/mdurl
Source0:	https://github.com/markdown-it/mdurl/archive/%{version}.tar.gz
BuildArch:	noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  mocha
%endif
Requires:      	nodejs
Provides:	bundled(nodejs)
%description
URL utilities for markdown-it

%prep
%autosetup -n mdurl-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mdurl
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/mdurl
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/mdurl

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.0.1-1
- Package init
